/* drivers/video/tomtom/lcdregs.h
 *
 * LCD register macros for compatibility with our bootloader.
 *
 * Copyright (C) 2005 TomTom BV <http://www.tomtom.com/>
 * Author: Dimitry Andric <dimitry.andric@tomtom.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef __DRIVERS_VIDEO_TOMTOMGO_LCDREGS_H
#define __DRIVERS_VIDEO_TOMTOMGO_LCDREGS_H

#ifdef __KERNEL__
#include <linux/kernel.h>
#include <asm/arch/map.h>
#include <asm/arch/regs-lcd.h>
#endif /* __KERNEL__ */

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifdef __KERNEL__
#define rLCDCON1    (*(volatile unsigned *)(S3C2410_LCDCON1))
#define rLCDCON2    (*(volatile unsigned *)(S3C2410_LCDCON2))
#define rLCDCON3    (*(volatile unsigned *)(S3C2410_LCDCON3))
#define rLCDCON4    (*(volatile unsigned *)(S3C2410_LCDCON4))
#define rLCDCON5    (*(volatile unsigned *)(S3C2410_LCDCON5))
#define rLCDSADDR1  (*(volatile unsigned *)(S3C2410_LCDSADDR1))
#define rLCDSADDR2  (*(volatile unsigned *)(S3C2410_LCDSADDR2))
#define rLCDSADDR3  (*(volatile unsigned *)(S3C2410_LCDSADDR3))
#define rLCDINTMSK  (*(volatile unsigned *)(S3C2410_LCDINTMSK))
#define rTCONSEL    (*(volatile unsigned *)(S3C2410_LPCSEL))
#define rTPAL       (*(volatile unsigned *)(S3C2410_TPAL))
#endif /* __KERNEL__ */

#ifdef __BOOTLOADER__
#include "24x0addr.h"
#define S3C2410_LCDBANK(x)	((x) << 21)
#define S3C2410_LCDBASEU(x)	(x)
#define S3C2410_OFFSIZE(x)	((x) << 11)
#define S3C2410_PAGEWIDTH(x)	(x)
#define NULL 0
#endif /* __BOOTLOADER__ */

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __DRIVERS_VIDEO_TOMTOMGO_LCDREGS_H */

/* EOF */
